#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main()
{
    cin.tie(0); cout.tie(0); ios::sync_with_stdio(0);
    ll n, l; cin >> n >> l;
    ll a[n+10];
    for (ll i=0; i<n; i++) cin >> a[i];
    ll ans=-1;
    for (ll i=0; i<n; i++){
        if (l>=a[i]){
            ans=i+1;
            break;
        }
    }
    cout << ans << '\n';
    return 0;
}